<template>
  <vue-count-to
    ref="countTo"
    :start-val="start"
    :end-val="end"
    :duration="duration"
  ></vue-count-to>
</template>

<script>
import VueCountTo from 'vue-count-to'

export default {
  name: 'CountTo',
  components: { VueCountTo },
  props: {
    value: { type: Number, default: 0 },
    duration: { type: Number, default: 2000 }
  },
  data() {
    return {
      start: 0,
      end: 0
    }
  },
  watch: {
    value: {
      handler(after, before) {
        this.start = before || 0
        this.end = after || 0
        this.$nextTick(() => {
          if (this.$refs.counTo) this.$refs.countTo.start()
        })
      },
      immediate: true
    }
  }
}
</script>
